using Newtonsoft.Json;
using System;
using System.Collections;
using System.Numerics;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Security.Cryptography.X509Certificates;
using GrapeCity.Documents.Excel;
using GrapeCity.Documents.Excel.Forms;
using GrapeCity.Documents.Excel.Expressions;
using GrapeCity.Documents.Excel.Drawing;
using System.Globalization;
using System.Text.RegularExpressions;

namespace GrapeCity.Documents.Excel.Examples.Templates.DataSource.DataTable
{
    class Program
    {
        static void Main(string[] args)
        {
					//create a new workbook
		var workbook = new GrapeCity.Documents.Excel.Workbook();
		
		//Load template file from resource
		var templateFile = GetResourceStream("xlsx\\Template_SalesDataGroup_DataTable.xlsx");
		workbook.Open(templateFile);
		
		#region Init Data
		var datasource = new System.Data.DataTable();
		datasource.Columns.Add(new DataColumn("Category", typeof(string)));
		datasource.Columns.Add(new DataColumn("Name", typeof(string)));
        datasource.Columns.Add(new DataColumn("Number", typeof(decimal)));


            datasource.Rows.Add("South America", "5-JUL",12.9);
        datasource.Rows.Add("North America", "22-MAY-2011",45.78);


            #endregion

            //Init template global settings
            workbook.Names.Add("TemplateOptions.KeepLineSize", "true");
		
		//Add data source
		workbook.AddDataSource("ds", datasource);
		//Invoke to process the template
		workbook.ProcessTemplate();

        workbook.ActiveSheet.Columns[1].Hidden = true;  
        // Save to an excel file
        workbook.Save("DataTable.xlsx");
        }

		static Stream GetResourceStream(string resourcePath)
        {
            string resource = "DataTable.Resource." + resourcePath.Replace("\\", ".");
            var assembly = typeof(Program).GetTypeInfo().Assembly;
            return assembly.GetManifestResourceStream(resource);
        }

    }
}